DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
  #1   (View Single Post)  
Old 19th March 2013
shep shep is offline
ISO Quartermaster
 
Join Date: May 2008
Location: Dry and Dusty
Posts: 578
Thanked 9 Times in 9 Posts
Default wbar port - WANTLIBS

I tried wbar in FreeBSD 9.1 but bailed out on FreeBSD after several other long to build ports either failed or segfaulted. I may come back to it once the packages servers are back up.

Anyway, I liked wbar and started trying to make an OpenBSD port. So far, following the Porter's Handbook I have been able to fetch, checksum, extract, and compile with gmake. My next task is to generate the wantlibs. The section on handling shared libaries indicated the importance of an accurate list but does not give much information about how to accomplish the task.
# make lib-depends-check gives:
Code:
Bear# make clean lib-depends-check 
===>  Cleaning for wbar-2.3.4
===>  Checking files for wbar-2.3.4
`/usr/ports/distfiles/wbar-2.3.4.tgz' is up to date.
>> (SHA256) wbar-2.3.4.tgz: OK
===> wbar-2.3.4 depends on: gmake-* -> gmake-3.82p2
===> wbar-2.3.4 depends on: libglade2-* -> libglade2-2.6.4p8v0
===> wbar-2.3.4 depends on: gdk-pixbuf-* -> gdk-pixbuf-2.26.5p1
===> wbar-2.3.4 depends on: imlib2-* -> imlib2-1.4.2p2
===> wbar-2.3.4 depends on: gtk+2-* -> gtk+2-2.24.14p2
===>  Verifying specs: Imlib2>=2 X11 Xrender Xinerama Xi Xrender 
Xcursor Xcomposite Xdamage Xfixes Xext atk-1.0 cairo expat fontconfig
freetype intltool-1 gtk-2.0 libglade-2.0 gio gdk-2.0 gdk-pixbuf-2.0 
gdk-x11-2.0 gtk-x11-2.0 cairo pango-1 atk-1.0 pthread libpng-1.5 harfbuzz 
libXML2 pangoft2-1.0 gobject-2.0 libiconv-1 Imlib2>=2 X11 Xrender 
Xinerama Xi Xrender Xcursor Xcomposite Xdamage Xfixes Xext atk-1.0
cairo expat fontconfig freetype intltool-1 gtk-2.0 libglade-2.0 gio gdk-2.0 
gdk-pixbuf-2.0 gdk-x11-2.0 gtk-x11-2.0 cairo pango-1 atk-1.0 pthread
libpng-1.5 harfbuzz libXML2 pangoft2-1.0 gobject-2.0 libiconv-1
Missing library for intltool-1>=0.0
Missing library for gtk-2.0>=0.0
Missing library for libglade-2.0>=0.0
Missing library for gio>=0.0
Missing library for gdk-2.0>=0.0
Missing library for gdk-pixbuf-2.0>=0.0
Missing library for pango-1>=0.0
Missing library for libpng-1.5>=0.0
Missing library for libXML2>=0.0
Missing library for libiconv-1>=0.0
Fatal error
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2104 '/usr/ports/pobj/wbar-2.3.4/.buildwantlibs')
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2413 '/usr/ports/pobj/wbar-2.3.4/.extract_done')
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:1823 '/usr/ports/packages/amd64/all/wbar-2.3.4.tgz')
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2362 '_internal-package')
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2342 'package')
Can't stat /usr/ports/pobj/wbar-2.3.4/fake-amd64: No such file or directory
 at /usr/ports/infrastructure/bin/check-lib-depends line 481
Scanning: ok
Generated by this Makefile
Code:
# $OpenBSD: Makefile.template,v 1.61 2013/03/16 13:41:58 jsh Exp $

COMMENT=                os/x style lightweight application launcher

DISTNAME=               wbar-2.3.4
EXTRACT_SUFX=           .tgz
PKGNAME=                wbar-2.3.4
CATEGORIES=             x11

HOMEPAGE=               http://code.google.com/p/wbar/

MAINTAINER=             ports@openbsd.org

# GPLv2
PERMIT_PACKAGE_CDROM=   Yes
PERMIT_PACKAGE_FTP=     Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP=   Yes

WANTLIB =               Imlib2>=2 X11 Xrender Xinerama Xi Xrender \
                        Xcursor Xcomposite Xdamage Xfixes Xext \
                        atk-1.0 cairo expat fontconfig freetype2 \
                        intltool pkg-config libglade\

# $OpenBSD: Makefile.template,v 1.61 2013/03/16 13:41:58 jsh Exp $
# $OpenBSD: Makefile.template,v 1.61 2013/03/16 13:41:58 jsh Exp $
WANTLIB +=              gtk-x11-2.0 cairo pango-1 atk-1.0 pthread
WANTLIB +=              libpng-1.5 harfbuzz libXML2 pangoft2-1.0
WANTLIB +=              gobject-2.0 libiconv-1

MASTER_SITES =          http://wbar.googlecode.com/files/

EXTRACT_SUFX =          .tgz


LIB_DEPENDS=            devel/libglade2 \
                        graphics/gdk-pixbuf2 \
                        graphics/imlib2 \
                        x11/gtk+2

USE_GMAKE =             Yes
#NO_TEST =              Yes
USE_LIBTOOL =           Yes

CONFIGURE_STYLE =       gnu
#CONFIGURE_SCRIPT =     ??? (if other than configure)
#CONFIGURE_ARGS +=      ${CONFIGURE_SHARED}
#CONFIGURE_ENV =        ???

# for gnu stuff
#AUTOCONF_VERSION =     ??? (defaults to 2.13)
#AUTOMAKE_VERSION =     ??? (defaults to 1.4)
# config.guess and others are copied here
#MODGNU_CONFIG_GUESS_DIRS = ??? (defaults to ${WRKSRC}

#LDFLAGS =              ???
#MAKE_FILE =            ???
#WRKDIST =              ??? if other than ${WRKDIR}/${DISTNAME}
#WRKSRC =               ??? if other than ${WRKDIST}
#WRKBUILD =             ??? if other than ${WRKSRC}
#WRKCONF =              ??? if other than ${WRKBUILD}

#ALL_TARGET =           ???
#INSTALL_TARGET =       ???
#REGRESS_TARGET =       ???

.include <bsd.port.mk>
You can tell I have spent time in the FreeBSD forums - they are very compulsive about BB Codes


My questions:

1) Since this is a new port do I need to list the earliest minor version of the library that will work or can I just start with the version in my current install that I know will successfully compile?

2) The README indicates that wbar just needs X11 and Imlib2 but when I look at other Makefiles, the WANTLIB's list other X11 components like Xcomposite. Some WANTLIB listings have numbers (version-1) or require >= (version1>=1.14) while other do not. Is there a customary place to put minimal versions in the wbar source that I can cross check?

3) Is there a simple way to generate the list?

Thanks in advance

Last edited by shep; 19th March 2013 at 02:23 PM. Reason: correct html link
Reply With Quote
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
port fowarding frenchface OpenBSD Security 2 12th October 2010 12:33 PM
SSH on port 443 maxrussell General software and network 4 6th April 2009 05:16 AM
Songbird port maxrussell FreeBSD Ports and Packages 1 2nd March 2009 10:47 AM
Trying to remember port name drhowarddrfine FreeBSD Ports and Packages 4 22nd February 2009 12:19 AM
vlc port failing maxrussell FreeBSD Ports and Packages 11 27th May 2008 04:38 PM


All times are GMT. The time now is 01:13 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick